#include <iostream>

using namespace std;

int main()
{
    int n;
    cin>>n;
    int niz[n];
    for(int i=0;i<n;i++)
    {
        cin>>niz[i];
    }
    int a=niz[0];
    niz[0]=niz[1];
    niz[1]=a;
    for(int i=0;i<n;i++)
    {
        cout<<niz[i]<<" ";
    }
}